-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.63-0ubuntu0.11.10.1


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema geco
--

CREATE DATABASE IF NOT EXISTS geco;

GRANT SELECT,INSERT,UPDATE,DELETE,INDEX ON `geco`.* TO 'user_m'@localhost IDENTIFIED BY 'modificar';
GRANT SELECT ON `geco`.* TO 'user_l'@localhost IDENTIFIED BY 'leer';

USE geco;

--
-- Table structure for table `geco`.`anomalias`
--

DROP TABLE IF EXISTS `anomalias`;
CREATE TABLE `anomalias` (
  `id_anomalias` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `codigo` varchar(60) NOT NULL COMMENT 'Codigo de la anomalia',
  `fecha-inicio` date NOT NULL DEFAULT '0000-00-00' COMMENT 'Fecha de inicio de la anomalia',
  `subsist-grupo` varchar(20) NOT NULL DEFAULT '' COMMENT 'Subsistema o grupo al que pertenece la anomalia',
  `iniciador` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Iniciador de la anomalia',
  `fecha-anomalia` date NOT NULL DEFAULT '0000-00-00' COMMENT 'Fecha en la que ocurrio la anomalia',
  `descripcion` varchar(300) NOT NULL DEFAULT '' COMMENT 'Descripcion de la anomalia',
  `analisis` varchar(300) DEFAULT '' COMMENT 'Analisis de la anomalia',
  `impacto` varchar(250) NOT NULL DEFAULT '' COMMENT 'Impacto de la anomalia',
  `acciones` varchar(300) DEFAULT '' COMMENT 'Acciones tomadas',
  `severidad` varchar(10) NOT NULL DEFAULT '' COMMENT 'Severidad de la anomalia',
  `criticidad` varchar(10) NOT NULL DEFAULT '' COMMENT 'Criticidad',
  `asignado` int(10) unsigned DEFAULT NULL COMMENT 'Responsable de gestionar la anomalia',
  `acciones-recom` varchar(300) DEFAULT '' COMMENT 'Acciones recomendadas',
  `fecha-estimada` date DEFAULT NULL COMMENT 'Fecha estimada de resolucion de la anomalia',
  `estado` varchar(45) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_anomalias`),
  UNIQUE KEY `cod-anom` (`codigo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`anomalias`
--

/*!40000 ALTER TABLE `anomalias` DISABLE KEYS */;
INSERT INTO `anomalias` (`id_anomalias`,`codigo`,`fecha-inicio`,`subsist-grupo`,`iniciador`,`fecha-anomalia`,`descripcion`,`analisis`,`impacto`,`acciones`,`severidad`,`criticidad`,`asignado`,`acciones-recom`,`fecha-estimada`,`estado`,`timestamp`) VALUES 
 (1,'AN/EF/001','2006-03-26','Optics',8,'2006-03-26','During the Focusing Test, in which the focusing mechanism was used to move the collimator  and to take images of the pinholes mask at the different positions to obtain the best focus, it was be noticed that none of the positions were good enough to focus the image on the detector.','The detector has not been correctly mounted on the CCD Head. The solution will be to use shims to correct the detector position passively to put it far away from the last camera lens','It is not possible to ficus the instrument so that it is not possible to take correct astronomical images.','The number and sizes of the shims have been calculated.','High','High',NULL,'To manufacture the shims and to use them to mount the detector in the corrected position.','2007-10-27','Started','2006-03-26 19:58:40');
/*!40000 ALTER TABLE `anomalias` ENABLE KEYS */;


--
-- Table structure for table `geco`.`avisos`
--

DROP TABLE IF EXISTS `avisos`;
CREATE TABLE `avisos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `aviso` varchar(150) NOT NULL DEFAULT '' COMMENT 'Texto de avisos para la aplicacion',
  `enviar` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'Especifica si se tiene que enviar o no (True = 1, False = 0)',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`avisos`
--

/*!40000 ALTER TABLE `avisos` DISABLE KEYS */;
INSERT INTO `avisos` (`id`,`aviso`,`enviar`,`timestamp`) VALUES 
 (1,'You have been registered in GECO as ${2}. Your password is ${1}.',1,'2007-05-20 20:48:26'),
 (2,'You have been unregistered in GECO.',1,'2007-05-20 20:48:26'),
 (3,'Your password has been modified in GECO.',1,'2007-05-20 20:48:26'),
 (4,'The User\'s properties have been modified.',1,'2007-05-20 20:48:26'),
 (5,'You have been subscribed to ${1}.',1,'2007-05-20 20:48:26'),
 (6,'You have been unsubscribed to ${1}.',1,'2007-05-20 20:48:26'),
 (7,'The ${1} properties have been modified.',1,'2007-05-20 20:48:26'),
 (8,'The current status of the Configuration Change ${1} is ${2}.',1,'2007-05-20 20:48:26'),
 (9,'The assigned person to the Configuration Change ${1} has been changed.',1,'2007-05-20 20:48:26'),
 (10,'The current status of the Non-conformity ${1} is ${2}.',1,'2007-05-20 20:48:26'),
 (11,'The assigned person to the Non-conformity ${1} has been changed.',1,'2007-05-20 20:48:26'),
 (12,'The current status of the Anomaly ${1} is ${2}.',1,'2007-05-20 20:48:26'),
 (13,'The assigned person to the Anomaly ${1} has been changed.',1,'2007-05-20 20:48:26'),
 (14,'The due date of the Anomaly ${1} has been changed.',1,'2007-05-20 20:48:26');
/*!40000 ALTER TABLE `avisos` ENABLE KEYS */;


--
-- Table structure for table `geco`.`cambio_configuracion`
--

DROP TABLE IF EXISTS `cambio_configuracion`;
CREATE TABLE `cambio_configuracion` (
  `id-cc` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `codigo-cambio` varchar(60) NOT NULL COMMENT 'Codigo del cambio de configuracion',
  `clasificacion` varchar(10) NOT NULL DEFAULT '' COMMENT 'Clasificacion del CC',
  `prioridad` char(10) NOT NULL DEFAULT '' COMMENT 'Prioridad del CC',
  `estado-actual` varchar(12) NOT NULL DEFAULT '' COMMENT 'Estado en el que se encuentra el CC',
  `fecha-inicio` date NOT NULL DEFAULT '0000-00-00' COMMENT 'Fecha de inicio del CC',
  `iniciador` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Persona iniciadora del CC',
  `subsist-grupo` varchar(20) NOT NULL DEFAULT '' COMMENT 'Subsistema o grupo',
  `fecha-modific` date DEFAULT NULL COMMENT 'Fecha de modificacion',
  `descripcion` mediumtext NOT NULL COMMENT 'Descripcion del CC (motivo del cambio, justificacion, etc..)',
  `comentario` varchar(300) DEFAULT '' COMMENT 'Comentario',
  `asignado` int(10) unsigned DEFAULT '0' COMMENT 'Persona que va a ejecutar el cambio',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id-cc`),
  UNIQUE KEY `cod-cc` (`codigo-cambio`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`cambio_configuracion`
--

/*!40000 ALTER TABLE `cambio_configuracion` DISABLE KEYS */;
INSERT INTO `cambio_configuracion` (`id-cc`,`codigo-cambio`,`clasificacion`,`prioridad`,`estado-actual`,`fecha-inicio`,`iniciador`,`subsist-grupo`,`fecha-modific`,`descripcion`,`comentario`,`asignado`,`timestamp`) VALUES 
 (1,'CC/EF/001','Subsystem','Medium','Started','2006-03-26',6,'System','2006-03-26','It is proposed to increase the instrument mass (EF) from 3000 Kg to 3050 Kg (see NC/EF/0001). This change affects the requirement RT/EF/5.3.1 in document  ESP/EF/0001. It is proposed to change the requirement to:\nInstrument Mass\nThe instrument mass (including the electronic cabinets and the Nasmyth adapter) will not be larger than 3050 Kg. \n',NULL,NULL,'2006-03-26 12:30:33');
/*!40000 ALTER TABLE `cambio_configuracion` ENABLE KEYS */;


--
-- Table structure for table `geco`.`clasificacion_cc`
--

DROP TABLE IF EXISTS `clasificacion_cc`;
CREATE TABLE `clasificacion_cc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`clasificacion_cc`
--

/*!40000 ALTER TABLE `clasificacion_cc` DISABLE KEYS */;
INSERT INTO `clasificacion_cc` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'Sistema','System'),
 (2,'Subsistema','Subsystem');
/*!40000 ALTER TABLE `clasificacion_cc` ENABLE KEYS */;


--
-- Table structure for table `geco`.`criticidad_anomalia`
--

DROP TABLE IF EXISTS `criticidad_anomalia`;
CREATE TABLE `criticidad_anomalia` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`criticidad_anomalia`
--

/*!40000 ALTER TABLE `criticidad_anomalia` DISABLE KEYS */;
INSERT INTO `criticidad_anomalia` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'Alta','High'),
 (2,'Media','Medium'),
 (3,'Baja','Low');
/*!40000 ALTER TABLE `criticidad_anomalia` ENABLE KEYS */;


--
-- Table structure for table `geco`.`documentos`
--

DROP TABLE IF EXISTS `documentos`;
CREATE TABLE `documentos` (
  `id-doc` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `referencia` varchar(60) NOT NULL COMMENT 'Codigo del documento',
  `titulo` varchar(255) NOT NULL DEFAULT '' COMMENT 'Titulo del documento',
  `version` varchar(5) NOT NULL DEFAULT '' COMMENT 'Version del documento',
  `edicion` varchar(5) NOT NULL DEFAULT '' COMMENT 'Edicion del documento',
  `palabras-clave` varchar(250) NOT NULL DEFAULT '' COMMENT 'Palabras claves del documento',
  `tipo` varchar(45) NOT NULL DEFAULT '' COMMENT 'Tipo de documento',
  `grado_privacidad` varchar(10) NOT NULL DEFAULT 'R' COMMENT 'Tipo de privacidad (F Libre circulacion, R restringido empresa, P restringido a lista de distribucion)',
  `resumen` varchar(300) DEFAULT '' COMMENT 'Resumen del documento',
  `estado` varchar(25) NOT NULL DEFAULT 'Created' COMMENT 'Estado actual del documento',
  `localizacion` varchar(100) DEFAULT NULL COMMENT 'Localizacion del documento',
  `configuracion` tinyint(1) DEFAULT '0' COMMENT 'Configuracion del documento (si/no)',
  `subsistema_grupo` varchar(20) NOT NULL DEFAULT '' COMMENT 'Subtema o grupo del documento',
  `fecha` date NOT NULL DEFAULT '0000-00-00' COMMENT 'Fecha de creacion del documento',
  `fecha_revision` date DEFAULT '0000-00-00' COMMENT 'Fecha de la ultima revision',
  `fecha_aprobacion` date DEFAULT '0000-00-00' COMMENT 'Fecha de la ultima aprobacion',
  `comentarios` varchar(300) DEFAULT NULL COMMENT 'Comentarios al documento',
  `linea-referencia` varchar(3) DEFAULT NULL COMMENT 'Linea de referencia del documento',
  `enlace` varchar(255) DEFAULT '',
  `documentos_ref` varchar(450) DEFAULT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id-doc`),
  UNIQUE KEY `cod-doc` (`referencia`),
  KEY `Index_3` (`estado`),
  KEY `document_fk_constraint` (`tipo`),
  CONSTRAINT `document_fk_constraint` FOREIGN KEY (`tipo`) REFERENCES `tipo_documento` (`tipo`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`documentos`
--

/*!40000 ALTER TABLE `documentos` DISABLE KEYS */;
INSERT INTO `documentos` (`id-doc`,`referencia`,`titulo`,`version`,`edicion`,`palabras-clave`,`tipo`,`grado_privacidad`,`resumen`,`estado`, `localizacion`,`configuracion`,`subsistema_grupo`,`fecha`,`fecha_revision`,`fecha_aprobacion`,`comentarios`,`linea-referencia`,`enlace`,`documentos_ref`,`timestamp`) VALUES 
 (1,'ANA/EF/001','Spectrograph Optical Conceptual Design','1','A','Optics. Analysis. Feasibility. Spectrograph','ANA','R',NULL,'CheckedOut','Room 1-1',0,'Optics','2006-03-15',NULL,NULL,NULL,NULL,'',NULL,'2006-03-21 12:58:13'),
 (2,'SP/EF/001','Fiber Spectrograph Technical specification','1','A','Specifications. Spectrograph. Fiber.','SP','R',NULL,'Created','Room 1-1',1,'System','2006-03-21',NULL,NULL,NULL,NULL,NULL,NULL,'2006-03-21 13:03:32'),
 (3,'RQ/EF-RA/001','Rotator Adapter Functional specification','1','A','Functional. Requirement. Rotator. Telescope. Adapter.','RQ','R',NULL,'Created','Room 1-1',1,'Structures','2006-03-21',NULL,NULL,NULL,NULL,NULL,NULL,'2006-03-21 13:05:09'),
 (4,'RQ/EF-SP/001','Spectrograph Functional Requirements','1','A','Functional. Requirements. Spectrograph','RQ','R',NULL,'Created','Room 1-1',1,'Optics','2006-03-21',NULL,NULL,NULL,NULL,NULL,NULL,'2006-03-21 13:08:20'),
 (5,'RQ/EF-SP-SS/EF-SP-SH/001','Interface requirements Support Structure-Shutter','1','A','Requirements. Interface. Support Structure. Shutter.','RQ','R',NULL,'Created','Room 1-1',1,'System','2006-03-21',NULL,NULL,NULL,NULL,NULL,NULL,'2006-03-21 13:09:20');
 INSERT INTO `documentos` (`id-doc`,`referencia`,`titulo`,`version`,`edicion`,`palabras-clave`,`tipo`,`grado_privacidad`,`resumen`,`estado`, `localizacion`,`configuracion`,`subsistema_grupo`,`fecha`,`fecha_revision`,`fecha_aprobacion`,`comentarios`,`linea-referencia`,`enlace`,`documentos_ref`,`timestamp`) VALUES
 (7,'PRO/EF/002','Plate scale verification test in the Spectroscopy Mode','1','A','Procedure. Verification. Detector. Plate scale. Spectroscopy. ','PRO','R','','CheckedOut','Room 1-1',1,'Optics','2006-03-21',NULL,NULL,'','','',NULL,'2006-03-21 13:24:46'),
 (8,'RPT/EF/001','Verification Test Report in the Plate Scale at Spectroscopy Mode','1','A','Verification. Report. Test. Spectroscopy. Plate scale.','RPT','R',NULL,'Created','Room 1-1',0,'Optics','2006-03-21',NULL,NULL,NULL,NULL,NULL,NULL,'2006-03-21 13:29:13'),
 (9,'RPT/EF/002','Verification Test on the Spectrograph Total Mass','1','A','Verification. Report. Test. Mass. Spectrograph','RPT','R',NULL,'Created','Room 1-1',0,'System','2006-03-21',NULL,NULL,NULL,NULL,NULL,NULL,'2006-04-26 22:51:04'),
 (10,'PRO/EF/003','Spectrograph Mass verification','1','A','Verification. Procedure. Mass. Spectrograph.','PRO','R',NULL,'Created','Room 1-1',1,'Optics','2006-03-21',NULL,NULL,NULL,NULL,NULL,NULL,'2006-04-26 22:53:32');
INSERT INTO `documentos` (`id-doc`,`referencia`,`titulo`,`version`,`edicion`,`palabras-clave`,`tipo`,`grado_privacidad`,`resumen`,`estado`, `localizacion`,`configuracion`,`subsistema_grupo`,`fecha`,`fecha_revision`,`fecha_aprobacion`,`comentarios`,`linea-referencia`,`enlace`,`documentos_ref`,`timestamp`) VALUES
 (11,'SP/EF-SP-SH/001','Shutter Specification','1','A','Shutter. Specification. Spectrograph.','SP','R','This document contains the shutter specifications. The shutter is the element able to block the light in the optical path to control the exposure time precisely. It is composed by the mechanism and the controller.','Created','Main room',1,'Shutter','2007-06-13',NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-13 13:36:50'),
 (12,'RQ/IC/001','IR Camera Requirements Document','1','A','Infrared. Camera. Imaging. Requirement.','RQ','R','This document summarizes the requirements of the near-IR camera produced during the Conceptual Design. ','Created',NULL,0,'System','2007-08-29',NULL,NULL,NULL,'CD',NULL,NULL,'2007-08-29 12:21:28');
/*!40000 ALTER TABLE `documentos` ENABLE KEYS */;


--
-- Table structure for table `geco`.`elementos_geco`
--

DROP TABLE IF EXISTS `elementos_geco`;
CREATE TABLE `elementos_geco` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(45) NOT NULL DEFAULT '',
  `codigo` varchar(10) NOT NULL DEFAULT '',
  `caracter` varchar(1) NOT NULL DEFAULT '' COMMENT 'caracter de separacion',
  `orden_tipo` int(10) unsigned NOT NULL DEFAULT '0',
  `orden_elempt` int(10) unsigned NOT NULL DEFAULT '0',
  `orden_num` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`elementos_geco`
--

/*!40000 ALTER TABLE `elementos_geco` DISABLE KEYS */;
INSERT INTO `elementos_geco` (`id`,`nombre`,`codigo`,`caracter`,`orden_tipo`,`orden_elempt`,`orden_num`) VALUES 
 (1,'AN','AN','/',1,2,3),
 (2,'CC','CC','/',1,2,3),
 (3,'NC','NC','/',1,2,3),
 (4,'DOC','NO','/',1,2,3),
 (5,'REQ','NO','/',1,2,3);
/*!40000 ALTER TABLE `elementos_geco` ENABLE KEYS */;


--
-- Table structure for table `geco`.`elementos_pt`
--

DROP TABLE IF EXISTS `elementos_pt`;
CREATE TABLE `elementos_pt` (
  `id-ec` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `codigo` varchar(50) NOT NULL COMMENT 'Codigo del elemento de configuracion',
  `nombre` varchar(200) NOT NULL COMMENT 'Nombre del EC',
  `estado-ec` varchar(45) NOT NULL COMMENT 'Estado del EC',
  `subsist-grupo` varchar(20) NOT NULL DEFAULT '' COMMENT 'Subsistema o grupo del EC',
  `fecha-modificacion` date DEFAULT NULL COMMENT 'Fecha de modificacion del EC',
  `part-number` varchar(20) DEFAULT '' COMMENT 'Part number del EC',
  `descripcion` mediumtext COMMENT 'Descripcion del EC',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id-ec`),
  UNIQUE KEY `cod-ec` (`codigo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`elementos_pt`
--

/*!40000 ALTER TABLE `elementos_pt` DISABLE KEYS */;
INSERT INTO `elementos_pt` (`id-ec`,`codigo`,`nombre`,`estado-ec`,`subsist-grupo`,`fecha-modificacion`,`part-number`,`descripcion`,`timestamp`) VALUES 
 (1,'EF','Fiber Spectrograph','CD','System','2006-03-20','','This instrument is composed by an optical fibers robot (which is rotating with the telescope). This robot feed a static spectrograph (non-rotating) placed on the Nasmyth platform. ','2006-03-20 17:26:32'),
 (2,'EF-RA','Telescope Rotator Adapter','CD','Mechanics','2006-03-20','','This is the mechanical interface between the robot and the Telescope Nasmyth rotator. This will be made by steel (same that the telescope robot and telescope rotator, if possible, to avoid thermal contration). This piece will allow the robot to rotate during the observation. This support structure will include the necesaary mechanicla interfaces for the Atmospheric Dispersion Corrector and for the Curvature Field Corrector, if these subsystem were finally included in the instrument concept. ','2006-03-20 17:40:31'),
 (3,'EF-AD','Atmospheric Dispersion Corrector','CD','Optics','2006-03-20','','Optical system that allows to compensate the atmospheric dispersion effects, specially for observations in the spectrum blue range at large zenital distances (small elevation angles over the horizon). ','2006-03-20 17:42:27');
INSERT INTO `elementos_pt` (`id-ec`,`codigo`,`nombre`,`estado-ec`,`subsist-grupo`,`fecha-modificacion`,`part-number`,`descripcion`,`timestamp`) VALUES 
 (4,'EF-CF','Field Curvature Corrector','CD','Optics','2006-03-21','','Optical system that corrects the telescope focal plane curvature and allows  the fibers to be positioned on a flat optical surface. This eases the robot to position the fibers in any position within the Field Of View.','2006-03-21 11:24:15'),
 (5,'EF-RB','Focal Plane Robot','CD','Optics','2006-03-21','','Robot that can position several mechanical articulated arms independently over the focal plane surface. The robot has to rotate with the telescope and will be joined to the Nasmyth rotator though an adapter, if needed. ','2006-03-21 11:25:18'),
 (6,'EF-FS','Optical fibers','CD','Optics','2006-03-21','','Optical fibers, micro-lenses and associated support opto-mechanics. These fibers set will be positioned by the robot arms within the Field Of View. ','2006-03-21 11:26:20'),
 (7,'EF-CM','Calibration Module','CD','Optics','2006-03-21','','System with different types of lamps (arc lamps, halogen, etc.) that allows the flat field and wavelength calibrations of the instrument. This subsystem illuminate the optical fibers that feed the spectrograph. This is a non-rotating system and can be placed on the Nasmyth platform.This module has also some fibers abe to illuminate the spectrograh directly.  ','2006-03-21 11:27:04');
INSERT INTO `elementos_pt` (`id-ec`,`codigo`,`nombre`,`estado-ec`,`subsist-grupo`,`fecha-modificacion`,`part-number`,`descripcion`,`timestamp`) VALUES 
 (8,'EF-SP','Spectrograph','CD','Optics','2006-03-21','','The instrument produces the spectra of the light drove through the fibers. The spectrograph can be stable on the Nasmyth Platform, thanks to the fact that the fibers, rotating with the robot, get the light from the sky objects. At the entrance to the spectrograph the fibers are placed in a pseudo-slit  configuration to feed the spectrograph. The spectrograph has a field lens, a collimator and a camera, (each of them composed by lenses and opto-mechanical supports),  one filter wheel, a grating mechanism, a focusing mechanisms, a shutter, a support structure and the cryostat system (with the pre-amp electronics, the detector and the auxiliary subsystems for the cryostat like the pressure and temperature controllers and sensors). In the spectrograph subsystem will also include the cabling through the spectrograph that connects the mechanism and controller drives with the drives controllers inside the cabinets. ','2006-03-21 11:28:05'),
 (9,'EF-EC','Electronic Cabinets','CD','Control','2006-03-21','','Cabinets containing the mechanisms drives controllers, the pressure and temperature controllers, the power supplies and the control system hardware. The cabinets will be thermally isolated and refrigerated. The cabinets will have a thermal control system and a remote control system for switching on/off.  Part of these cabinets (those containing the controllers for the robot drives) will be rotating while others will not.','2006-03-21 11:29:06');
INSERT INTO `elementos_pt` (`id-ec`,`codigo`,`nombre`,`estado-ec`,`subsist-grupo`,`fecha-modificacion`,`part-number`,`descripcion`,`timestamp`) VALUES 
 (10,'EF-CS','Control System','CD','Control','2006-03-21','','Instrument Control System including hardware and software. The software does not include the high level user-oriented software like the proposal preparation package, the data reduction package (pipelines) and the simulators and exposure time calculators. This packages will be included in EF-CU','2006-03-21 11:30:03'),
 (11,'EF-SP-SS','Support Structure','PD','Mechanics','2006-03-21','','Support Structure','2006-03-21 11:31:53'),
 (12,'EF-SP-FE','Fibers Entrance Unit','CD','Optics','2006-03-21','','Fibers Entrance Unit','2006-03-21 11:32:35'),
 (13,'EF-SP-FL','Field Lens','PD','Optics','2006-03-21','','Field Lens','2006-03-21 11:49:46'),
 (14,'EF-SP-SH','Shutter','PD','Mechanics','2006-03-21','','Shutter','2006-03-21 11:50:24'),
 (15,'EF-SP-CO','Collimator','PD','Optics','2006-03-21','','Collimatorthat produces a collimated beam where the different pupil elements and their mechanisms can be placed.','2006-03-21 11:51:07'),
 (16,'EF-SP-GT','Grating Mechanism','PD','Mechanics','2006-03-21','','Grating Mechanism','2006-03-21 11:51:40');
INSERT INTO `elementos_pt` (`id-ec`,`codigo`,`nombre`,`estado-ec`,`subsist-grupo`,`fecha-modificacion`,`part-number`,`descripcion`,`timestamp`) VALUES 
 (17,'EF-SP-FW','Filter Wheel','PD','Mechanics','2006-03-21','','Filter wheel','2006-03-21 11:52:15'),
 (18,'EF-SP-CA','Camera','PD','Optics','2006-03-21','','Camera of the spectrograph to focus the light coming from the collimated beam into the detector focal plane.','2006-03-21 11:52:50'),
 (19,'EF-SP-CR','Cryostat','PD','Cryogenics','2006-03-21','','','2006-03-21 11:53:20'),
 (20,'EF-SP-CB','Cabling','PD','Optics','2006-03-21','','Cabling','2006-03-21 11:53:48'),
 (21,'EF-SP-CR-100','CCD Head','PD','Cryogenics','2006-03-21','','CCD Head','2006-03-21 11:55:52'),
 (22,'EF-SP-CR-110','CCD Head external body','PD','Cryogenics','2006-03-21','','CCD head external body','2006-03-21 11:56:28'),
 (23,'EF-SP-CR-120','Detector Mount','PD','Cryogenics','2006-03-21','','Detector Mount','2006-03-21 11:56:54'),
 (24,'EF-SP-CR-130','CCD Head temperature components','PD','Cryogenics','2006-03-21','','CCD head temperature components','2006-03-21 11:57:23'),
 (25,'EF-SP-CR-140','Electrical connections','PD','Cryogenics','2006-03-21','','Electrical connections','2006-03-21 11:57:59');
INSERT INTO `elementos_pt` (`id-ec`,`codigo`,`nombre`,`estado-ec`,`subsist-grupo`,`fecha-modificacion`,`part-number`,`descripcion`,`timestamp`) VALUES 
 (26,'EF-SP-CR-150','Cryostat window','PD','Cryogenics','2006-03-21','','Cryostat window','2006-03-21 11:58:17'),
 (27,'EF-SP-CR-200','Cryostat Rear vessel','PD','Cryogenics','2006-03-21','','','2006-03-21 11:58:42'),
 (28,'EF-SP-CR-210','Cryostat Rear Vessel envelope','PD','Cryogenics','2006-03-21','','Cryostat Rear vessel envelope','2006-03-21 11:59:03'),
 (29,'EF-SP-CR-240','Cryostat Pressure Components','PD','Cryogenics','2006-03-21','','Cryostat Pressure Components','2006-03-21 11:59:31'),
 (30,'EF-SP-CR-220','Cryostat Vessel Temperature components','PD','Cryogenics','2006-03-21','','Cryostat Vessel Temperature components','2006-03-21 12:39:30'),
 (31,'EF-SP-CR-230','Rear Vessel Electrical connections','PD','Cryogenics','2006-03-21','','Rear Vessel electrical connections','2006-03-21 12:39:59'),
 (32,'EF-SP-CR-250','LN2 exhaustion componets','PD','Cryogenics','2006-03-21','','LN2 exhaustion components','2006-03-21 12:41:04'),
 (33,'EF-SP-CR-300','Detector Electronics','PD','Cryogenics','2006-03-21','','Detector Electronics','2006-03-21 12:42:06');
INSERT INTO `elementos_pt` (`id-ec`,`codigo`,`nombre`,`estado-ec`,`subsist-grupo`,`fecha-modificacion`,`part-number`,`descripcion`,`timestamp`) VALUES 
 (34,'EF-SP-CR-310','Marconi CCD44-82 (detector)','DD','Cryogenics','2006-03-21','','Marconi CCD44-82 (detector)','2006-03-21 12:42:27'),
 (35,'EF-SP-CR-320','Cryostat Internal Panel','DD','Cryogenics','2006-03-21','','Cryostat Internal Panel','2006-03-21 12:42:50'),
 (36,'EF-CU','High level User Software Control System','CD','Control ','2006-03-21','','This subsystem includes the high level user-oriented software packages like the proposal preparation package, the data reduction pipelines and the instrument simulators and exposure time calculators.','2006-04-27 13:01:35'),
 (37,'EF-SP-SH-100','Shutter Mechanism','CD','Mechanics',NULL,'','Shutter Mechanism','2007-06-04 17:31:42'),
 (38,'EF-SP-SH-200','Shutter Controller','CD','Mechanics',NULL,NULL,'Shutter Controller','2007-06-04 17:32:06'),
 (39,'IC','Infrared Camera','CD','System','2006-03-20','','IC is an infrared camera in the range 1 to 2.5 microns. This camera has Imaging Mode only with broad and narrow band filters.','2007-08-29 12:11:51'),
 (40,'IC-OP','Infrared Camera Optics','CD','System','2007-08-29','','This subsystem is composed by all the optics and opto-mecahnics elements of the IR camera. Filters have also  been included in this subsystem.','2007-08-29 12:16:20');
INSERT INTO `elementos_pt` (`id-ec`,`codigo`,`nombre`,`estado-ec`,`subsist-grupo`,`fecha-modificacion`,`part-number`,`descripcion`,`timestamp`) VALUES 
 (41,'IC-CR','Infrared Camera Cryostat','CD','System','2007-08-29','','This is the IR camera cryostat inseide which all the components are mounted.','2007-08-29 12:17:25'),
 (42,'IC-DE','Infrared Camera Detector System','CD','System','2007-08-29','','This subsystem is composed by all the detectors parts inside the cryostat. All these parts interfacing the detector but mounted outside the cryostat (e.g. the controller) do not belong to this subsystem.','2007-08-29 12:18:35'),
 (45,'IC-OP-FI','Infrared Camera Filters','CD','System','2007-08-29','','This subsystem is composed by all the filters and their mounts. Since all the mounts are identical, there will be only a single subsystem labelled as Filter mount, being the different mounts PT parts. Each individual filter (optical part) will be a part. ','2007-08-29 13:03:12');
/*!40000 ALTER TABLE `elementos_pt` ENABLE KEYS */;


--
-- Table structure for table `geco`.`estado_anomalia`
--

DROP TABLE IF EXISTS `estado_anomalia`;
CREATE TABLE `estado_anomalia` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
--
-- Dumping data for table `geco`.`estado_anomalia`
--

/*!40000 ALTER TABLE `estado_anomalia` DISABLE KEYS */;
INSERT INTO `estado_anomalia` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'Iniciada','Started'),
 (2,'En análisis','Under analysis'),
 (3,'Rechazar','Rejected'),
 (4,'Monitorizar','Monitorize'),
 (5,'Finalizada','Closed'),
 (6,'Limitación','Limitation');
/*!40000 ALTER TABLE `estado_anomalia` ENABLE KEYS */;


--
-- Table structure for table `geco`.`estado_cc`
--

DROP TABLE IF EXISTS `estado_cc`;
CREATE TABLE `estado_cc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`estado_cc`
--

/*!40000 ALTER TABLE `estado_cc` DISABLE KEYS */;
INSERT INTO `estado_cc` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'Iniciado','Started'),
 (2,'En suspenso','Suspended'),
 (3,'Aprobado','Approved'),
 (4,'Rechazado','Rejected'),
 (5,'Finalizado','Closed'),
 (6,'Retirado','Withdrawn');
/*!40000 ALTER TABLE `estado_cc` ENABLE KEYS */;


--
-- Table structure for table `geco`.`estado_doc`
--

DROP TABLE IF EXISTS `estado_doc`;
CREATE TABLE `estado_doc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(25) NOT NULL,
  `texto_en` varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`estado_doc`
--

/*!40000 ALTER TABLE `estado_doc` DISABLE KEYS */;
INSERT INTO `estado_doc` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'Creado','Created'),
 (2,'CheckedIn','CheckedIn'),
 (3,'CheckedIOut','CheckedOut'),
 (4,'Revisión en curso','In revision'),
 (5,'Pendiente de cambios','Changes pending'),
 (6,'Pendiente de aprobación','Approval pending'),
 (7,'Aprobado','Approved'),
 (8,'Obsoleto','Obsolete');
/*!40000 ALTER TABLE `estado_doc` ENABLE KEYS */;


--
-- Table structure for table `geco`.`estado_ec`
--

DROP TABLE IF EXISTS `estado_ec`;
CREATE TABLE `estado_ec` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`estado_ec`
--

/*!40000 ALTER TABLE `estado_ec` DISABLE KEYS */;
INSERT INTO `estado_ec` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'DC','CD'),
 (2,'DP','PD'),
 (3,'DD','DD'),
 (4,'DPR','PRD');
/*!40000 ALTER TABLE `estado_ec` ENABLE KEYS */;


--
-- Table structure for table `geco`.`estado_nc`
--

DROP TABLE IF EXISTS `estado_nc`;
CREATE TABLE `estado_nc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`estado_nc`
--

/*!40000 ALTER TABLE `estado_nc` DISABLE KEYS */;
INSERT INTO `estado_nc` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'Iniciada','Started'),
 (2,'En análisis','Under analysis'),
 (3,'Rechazar','Rejected'),
 (4,'Aceptar','Accept'),
 (5,'Reparar','Repair'),
 (6,'Reparar con limitaciones','Repair with conditions'),
 (7,'Descartar','Discard'),
 (8,'Devolver al suministrador','Back to the provider'),
 (9,'Finalizada','Closed'),
 (10,'Limitación','Limitation');
/*!40000 ALTER TABLE `estado_nc` ENABLE KEYS */;


--
-- Table structure for table `geco`.`grupos`
--

DROP TABLE IF EXISTS `grupos`;
CREATE TABLE `grupos` (
  `id_grupo` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(30) NOT NULL DEFAULT '' COMMENT 'Nombre del grupo',
  `alta_baja` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'Alta/baja del grupo',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_grupo`),
  UNIQUE KEY `Index_nombre` (`nombre`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`grupos`
--

/*!40000 ALTER TABLE `grupos` DISABLE KEYS */;
INSERT INTO `grupos` (`id_grupo`,`nombre`,`alta_baja`,`timestamp`) VALUES 
 (1,'admin',1,'2007-03-10 12:12:41'),
 (2,'read',1,'2007-03-10 18:55:55');
/*!40000 ALTER TABLE `grupos` ENABLE KEYS */;


--
-- Table structure for table `geco`.`image`
--

DROP TABLE IF EXISTS `image`;
CREATE TABLE `image` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `id-requerimiento` int(10) NOT NULL DEFAULT '0',
  `path` varchar(256) DEFAULT '',
  `titulo` varchar(256) DEFAULT '',
  `data` mediumblob,
  `es_por_referencia` char(1) DEFAULT '0',
  `orden` int(2) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `id-requerimiento` (`id-requerimiento`),
  CONSTRAINT `Image_ibfk_1` FOREIGN KEY (`id-requerimiento`) REFERENCES `requerimientos` (`id-req`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`image`
--

/*!40000 ALTER TABLE `image` DISABLE KEYS */;
/*!40000 ALTER TABLE `image` ENABLE KEYS */;


--
-- Table structure for table `geco`.`interfases`
--

DROP TABLE IF EXISTS `interfases`;
CREATE TABLE `interfases` (
  `id-int` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `codigo` varchar(110) NOT NULL COMMENT 'Codigo de la interfase',
  `nombre` varchar(80) NOT NULL DEFAULT '' COMMENT 'Nombre de la interfase',
  `codigo-elem1` varchar(50) NOT NULL COMMENT 'Codigo del elemento de configuracion 1',
  `codigo-elem2` varchar(50) NOT NULL COMMENT 'Codigo del elemento de configuracion 2',
  `subsist-grupo` varchar(20) NOT NULL DEFAULT '' COMMENT 'Subsistema o grupo de la interfase',
  `descripcion` MEDIUMTEXT DEFAULT '' COMMENT 'Descripcion de la interfase',
  `fecha-modificacion` date DEFAULT NULL COMMENT 'Fecha de modificacion de la interfase',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id-int`),
  UNIQUE KEY `cod-interf` (`codigo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`interfases`
--

/*!40000 ALTER TABLE `interfases` DISABLE KEYS */;
INSERT INTO `interfases` (`id-int`,`codigo`,`nombre`,`codigo-elem1`,`codigo-elem2`,`subsist-grupo`,`descripcion`,`fecha-modificacion`,`timestamp`) VALUES 
 (1,'EF-SP-SS/EF-SP-SH','Support Structure / Shutter Mechanism','EF-SP-SS','EF-SP-SH','System','Support Structure / Shutter Mechanism','2006-03-23','2006-03-23 19:17:26');
/*!40000 ALTER TABLE `interfases` ENABLE KEYS */;


--
-- Table structure for table `geco`.`linearef_doc`
--

DROP TABLE IF EXISTS `linearef_doc`;
CREATE TABLE `linearef_doc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`linearef_doc`
--

/*!40000 ALTER TABLE `linearef_doc` DISABLE KEYS */;
INSERT INTO `linearef_doc` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'DC','CD'),
 (2,'DP','PD'),
 (3,'DD','DD'),
 (4,'DPR','PRD');
/*!40000 ALTER TABLE `linearef_doc` ENABLE KEYS */;


--
-- Table structure for table `geco`.`linearef_req`
--

DROP TABLE IF EXISTS `linearef_req`;
CREATE TABLE `linearef_req` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`linearef_req`
--

/*!40000 ALTER TABLE `linearef_req` DISABLE KEYS */;
INSERT INTO `linearef_req` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'DC','CD'),
 (2,'DP','PD'),
 (3,'DD','DD'),
 (4,'DPR','PRD');
/*!40000 ALTER TABLE `linearef_req` ENABLE KEYS */;


--
-- Table structure for table `geco`.`matriz_verificacion`
--

DROP TABLE IF EXISTS `matriz_verificacion`;
CREATE TABLE `matriz_verificacion` (
  `id_req` int(11) NOT NULL DEFAULT '0' COMMENT 'ID del requerimiento',
  `codigo` varchar(60) NOT NULL,
  `titulo` varchar(150) NOT NULL DEFAULT '',
  `metodo_prueba` varchar(3000) DEFAULT NULL COMMENT 'Metodo de la verificacion',
  `resultado_prueba` varchar(3000) DEFAULT NULL COMMENT 'Resultado de la verificacion',
  `conforme` tinyint(1) DEFAULT NULL COMMENT 'Conformidad del requerimiento (Si/No)',
  `proced_prueba` varchar(60) DEFAULT NULL COMMENT 'Procedimiento de prueba',
  `inf_prueba` varchar(60) DEFAULT NULL COMMENT 'Informe de prueba',
  `respons_prueba` int(10) unsigned DEFAULT NULL COMMENT 'Responsable de la prueba',
  `persona_ejec` int(10) unsigned DEFAULT NULL COMMENT 'Persona que va a ejecutar el procedimiento',
  `nc` varchar(60) DEFAULT NULL COMMENT 'NC que da lugar la no conformidad del requerimiento',
  `fecha_planif` date DEFAULT NULL COMMENT 'Fecha planificada de la prueba',
  `fecha_ejec` date DEFAULT NULL COMMENT 'Fecha de ejecucion de la prueba',
  `comentarios` varchar(255) DEFAULT NULL COMMENT 'Comentarios',
  `hitos_verificacion` varchar(255) DEFAULT NULL COMMENT 'Hitos asociados a la verificacion del requerimiento',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_req`),
  UNIQUE KEY `Index_3` (`codigo`),
  KEY `FK_matriz_verificacion_1` (`id_req`,`titulo`,`codigo`),
  CONSTRAINT `FK_matriz_verificacion_1` FOREIGN KEY (`id_req`, `titulo`, `codigo`) REFERENCES `requerimientos` (`id-req`, `titulo`, `codigo-req`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `matriz_verificacion_ibfk_1` FOREIGN KEY (`id_req`) REFERENCES `requerimientos` (`id-req`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`matriz_verificacion`
--

/*!40000 ALTER TABLE `matriz_verificacion` DISABLE KEYS */;
INSERT INTO `matriz_verificacion` (`id_req`,`codigo`,`titulo`,`metodo_prueba`,`resultado_prueba`,`conforme`,`proced_prueba`,`inf_prueba`,`respons_prueba`,`persona_ejec`,`nc`,`fecha_planif`,`fecha_ejec`,`comentarios`,`timestamp`) VALUES 
 (10,'FR/EF-SP/001','Instrument Proper Frequencies',NULL,NULL,0,'PRO/EF/002','RPT/EF/001',14,9,'NC/EF/001',NULL,NULL,NULL,'2007-06-04 16:14:25'),
 (11,'FR/EF-SP/002','Reference Temperature',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 16:14:25'),
 (12,'FR/EF-SP/003','Envelopes',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 16:14:25'),
 (13,'FR/EF-SP/004','Spectral stability',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 16:14:25'),
 (14,'FR/EF-SP/005','Maximum Flexure',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 16:14:25'),
 (15,'FR/EF-SP/006','Spectrograph Mass',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 16:14:25'),
 (16,'FR/EF-SP/007','Spectrograph Gravity Center',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 16:14:25'),
 (17,'FR/EF-SP/008','Operational Temperatures',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 16:14:25');
INSERT INTO `matriz_verificacion` (`id_req`,`codigo`,`titulo`,`metodo_prueba`,`resultado_prueba`,`conforme`,`proced_prueba`,`inf_prueba`,`respons_prueba`,`persona_ejec`,`nc`,`fecha_planif`,`fecha_ejec`,`comentarios`,`timestamp`) VALUES 
 (22,'FR/EF-SP/009','Thermal gradients prevention guideline',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 17:58:43'),
 (23,'FR/EF-SP/010','Heat dissipation guideline',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 17:58:43'),
 (26,'FR/EF-SP/013','MTBF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 17:58:43'),
 (27,'FR/EF-SP/014','MTTR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 17:58:43'),
 (28,'FR/EF-SP/015','Prevention of failures tools guideline',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 17:58:43'),
 (29,'FR/EF-SP/016','Maintenance Simplicity guideline',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 17:58:43'),
 (31,'FR/EF-SP/018','Modularity guideline',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 17:58:44'),
 (32,'FR/EF-SP/019','MPMNT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-06-04 17:58:44');
INSERT INTO `matriz_verificacion` (`id_req`,`codigo`,`titulo`,`metodo_prueba`,`resultado_prueba`,`conforme`,`proced_prueba`,`inf_prueba`,`respons_prueba`,`persona_ejec`,`nc`,`fecha_planif`,`fecha_ejec`,`comentarios`,`timestamp`) VALUES 
 (38,'FR/IC/001','Wavelength Range',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-08-29 17:51:53'),
 (39,'FR/IC-CR/001','Operating Temperature',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2007-08-29 17:52:21');
/*!40000 ALTER TABLE `matriz_verificacion` ENABLE KEYS */;


--
-- Table structure for table `geco`.`no_conformidades`
--

DROP TABLE IF EXISTS `no_conformidades`;
CREATE TABLE `no_conformidades` (
  `id-nc` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cod-nc` varchar(60) NOT NULL COMMENT 'Codigo de la no-conformidad',
  `fecha-inicial` date NOT NULL DEFAULT '0000-00-00' COMMENT 'Fecha de inicio de la NC',
  `fecha-modific` date DEFAULT NULL COMMENT 'Fecha de modificacion de la NC',
  `iniciador` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Iniciador de la NC',
  `asignado` int(10) unsigned DEFAULT '0' COMMENT 'Responsable de gestionar el cambio',
  `estado` varchar(30) NOT NULL DEFAULT '' COMMENT 'Estado actual de la NC',
  `subsist-grupo` varchar(20) NOT NULL DEFAULT '' COMMENT 'Subsistema o grupo',
  `descripcion` mediumtext NOT NULL COMMENT 'Descripcion de la NC',
  `comentarios` mediumtext COMMENT 'Comentarios',
  `prioridad` varchar(12) NOT NULL DEFAULT '',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id-nc`),
  UNIQUE KEY `cod-nc` (`cod-nc`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`no_conformidades`
--

/*!40000 ALTER TABLE `no_conformidades` DISABLE KEYS */;
INSERT INTO `no_conformidades` (`id-nc`,`cod-nc`,`fecha-inicial`,`fecha-modific`,`iniciador`,`asignado`,`estado`,`subsist-grupo`,`descripcion`,`comentarios`,`prioridad`,`timestamp`) VALUES 
 (1,'NC/EF/001','2006-03-24','2006-03-26',8,NULL,'Repair with conditions','Sistemas','The instrument mass (including the electronic cabinets and adapter to the telescope rotator) is 3050 Kg. The weight is 50 Kg over the total allowed mass.  (RT/EF/5.3.1). This excess is due to the fober positioner robot mass (that has been increased from 1000 Kg to 1050 Kg in the mass budget). A configuration change has been opened  (see CC/EF/0001) as consequence of this NC.',NULL,'Medium','2006-03-24 18:01:24');
/*!40000 ALTER TABLE `no_conformidades` ENABLE KEYS */;


--
-- Table structure for table `geco`.`partes`
--

DROP TABLE IF EXISTS `partes`;
CREATE TABLE `partes` (
  `id-parte` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `codigo-parte` varchar(80) NOT NULL COMMENT 'Codigo de la parte',
  `nombre-parte` varchar(100) NOT NULL DEFAULT '' COMMENT 'Nombre de la parte',
  `num-serie` varchar(50) DEFAULT NULL COMMENT 'Nº de serie de la parte',
  `elemento-PT` varchar(50) NOT NULL COMMENT 'Elemento de configuracion',
  `fecha` date DEFAULT NULL,
  `comentarios` varchar(100) DEFAULT NULL COMMENT 'Comentarios',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id-parte`),
  UNIQUE KEY `cod-parte` (`codigo-parte`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`partes`
--

/*!40000 ALTER TABLE `partes` DISABLE KEYS */;
INSERT INTO `partes` (`id-parte`,`codigo-parte`,`nombre-parte`,`num-serie`,`elemento-PT`,`fecha`,`comentarios`,`timestamp`) VALUES 
 (1,'EF-SP-SH-100-0001  ','Shutter Interface Flange','','EF-SP-SH-100',NULL,'','2007-06-04 17:33:23'),
 (2,'EF-SP-SH-100-0002  ','Lower light-well A','','EF-SP-SH-100',NULL,'Lower light-well A','2007-06-04 17:34:00'),
 (3,'EF-SP-SH-100-0003','Lower light-well B','','EF-SP-SH-100',NULL,'Lower light-well B','2007-06-04 17:34:37'),
 (4,'EF-SP-SH-100-0004','Shutter plate','','EF-SP-SH-100',NULL,'Shutter plate','2007-06-04 17:35:39'),
 (5,'EF-SP-SH-100-0005','Anchor','','EF-SP-SH-100',NULL,'Anchor','2007-06-04 17:36:08'),
 (6,'EF-SP-SH-100-0006','Anchor clamp','','EF-SP-SH-100',NULL,'Anchor clamp','2007-06-04 17:36:45'),
 (7,'EF-SP-SH-100-0007','Sliding piece ','','EF-SP-SH-100',NULL,'Sliding piece\n','2007-06-04 17:37:15'),
 (8,'EF-SP-SH-100-0008','Actuator','','EF-SP-SH-100',NULL,'Actuator','2007-06-04 17:37:39'),
 (9,'EF-SP-SH-100-0009','Microswitch support ','','EF-SP-SH-100',NULL,'Microswitch support\n','2007-06-04 17:38:04'),
 (10,'EF-SP-SH-100-0010','Tensing piece','','EF-SP-SH-100',NULL,'Tensing piece','2007-06-04 17:39:13');
INSERT INTO `partes` (`id-parte`,`codigo-parte`,`nombre-parte`,`num-serie`,`elemento-PT`,`fecha`,`comentarios`,`timestamp`) VALUES 
 (11,'EF-SP-SH-100-0011','Synchronous disc B ','','EF-SP-SH-100',NULL,'Synchronous disc B\n','2007-06-04 17:39:33'),
 (12,'EF-SP-SH-100-0012','Shutter flange','','EF-SP-SH-100',NULL,'Shutter flange','2007-06-04 17:40:11'),
 (13,'EF-SP-SH-100-0013','Junction','','EF-SP-SH-100',NULL,'Junction','2007-06-04 17:40:33'),
 (14,'EF-SP-SH-100-0014','Connector support','','EF-SP-SH-100',NULL,'Connector support','2007-06-04 17:40:59'),
 (15,'EF-SP-SH-100-0015','End-of-travel block ','','EF-SP-SH-100',NULL,'End-of-travel block\n','2007-06-04 17:41:31'),
 (16,'EF-SP-SH-100-0016','End-of-travel block screw','','EF-SP-SH-100',NULL,'End-of-travel block screw','2007-06-04 17:41:51'),
 (17,'EF-SP-SH-100-0017','Cover A','','EF-SP-SH-100',NULL,'Cover A','2007-06-04 17:42:16'),
 (18,'EF-SP-SH-100-0018','Cover B ','','EF-SP-SH-100',NULL,'Cover B\n','2007-06-04 17:42:40'),
 (19,'EF-SP-SH-100-0019','Motor cover A','','EF-SP-SH-100',NULL,'Motor cover A','2007-06-04 17:43:10'),
 (20,'EF-SP-SH-100-0020','Motor cover B','','EF-SP-SH-100',NULL,'Motor cover B','2007-06-04 17:43:35');
INSERT INTO `partes` (`id-parte`,`codigo-parte`,`nombre-parte`,`num-serie`,`elemento-PT`,`fecha`,`comentarios`,`timestamp`) VALUES 
 (21,'EF-SP-SH-100-0021','Motor cover C','','EF-SP-SH-100',NULL,'Motor cover C','2007-06-04 17:53:42'),
 (22,'EF-SP-SH-100-0022','Shutter cover A','','EF-SP-SH-100',NULL,'Shutter cover A','2007-06-04 17:54:01'),
 (23,'EF-SP-SH-100-0023','Shutter cover B','','EF-SP-SH-100',NULL,'Shutter cover B','2007-06-04 17:54:31'),
 (24,'EF-SP-SH-100-0024','Shutter cover C','','EF-SP-SH-100',NULL,'Shutter cover C','2007-06-04 17:54:46'),
 (25,'EF-SP-SH-100-0025','Upper light-well','','EF-SP-SH-100',NULL,'Upper light-well','2007-06-04 17:55:31'),
 (26,'EF-SP-SH-100-0026','Support studs ','','EF-SP-SH-100',NULL,'Support studs\n','2007-06-04 18:07:48'),
 (27,'EF-SP-SH-100-0027','Base plate','','EF-SP-SH-100',NULL,'Base plate','2007-06-04 18:08:10'),
 (28,'IC-OP-FI-0001','J filter. Broad-band filter',NULL,'IC-OP-FI','2007-08-29','J filter for the IR camera. This is a broad-band filter. This part refers to the optical part only','2007-08-29 13:04:19'),
 (29,'IC-OP-FI-0002','H filter. Broad-band filter',NULL,'IC-OP-FI','2007-08-29','H filter for the IR camera. This is a broad-band filter. This part refers to the optical part only','2007-08-29 13:05:44');
INSERT INTO `partes` (`id-parte`,`codigo-parte`,`nombre-parte`,`num-serie`,`elemento-PT`,`fecha`,`comentarios`,`timestamp`) VALUES 
 (30,'IC-OP-FI-0003','K filter. Broad-band filter',NULL,'IC-OP-FI','2007-08-29','K filter for the IR camera. This is a broad-band filter. This part refers to the optical part only','2007-08-29 13:06:23'),
 (31,'IC-OP-FI-0004','Bracket Gamma Narrow Band Filter',NULL,'IC-OP-FI','2006-12-29','This is a narrow band filter (Bracket Gamma Narrow Band Filter)','2007-08-29 13:17:35');
/*!40000 ALTER TABLE `partes` ENABLE KEYS */;


--
-- Table structure for table `geco`.`prioridad_cc`
--

DROP TABLE IF EXISTS `prioridad_cc`;
CREATE TABLE `prioridad_cc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`prioridad_cc`
--

/*!40000 ALTER TABLE `prioridad_cc` DISABLE KEYS */;
INSERT INTO `prioridad_cc` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'Alta','High'),
 (2,'Media','Medium'),
 (3,'Baja','Low');
/*!40000 ALTER TABLE `prioridad_cc` ENABLE KEYS */;


--
-- Table structure for table `geco`.`prioridad_nc`
--

DROP TABLE IF EXISTS `prioridad_nc`;
CREATE TABLE `prioridad_nc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`prioridad_nc`
--

/*!40000 ALTER TABLE `prioridad_nc` DISABLE KEYS */;
INSERT INTO `prioridad_nc` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'Alta','High'),
 (2,'Media','Medium'),
 (3,'Baja','Low');
/*!40000 ALTER TABLE `prioridad_nc` ENABLE KEYS */;


--
-- Table structure for table `geco`.`privacidad_doc`
--

DROP TABLE IF EXISTS `privacidad_doc`;
CREATE TABLE `privacidad_doc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`privacidad_doc`
--

/*!40000 ALTER TABLE `privacidad_doc` DISABLE KEYS */;
INSERT INTO `privacidad_doc` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'R','R'),
 (2,'P','P'),
 (3,'L','L');
/*!40000 ALTER TABLE `privacidad_doc` ENABLE KEYS */;


--
-- Table structure for table `geco`.`proyectos`
--

DROP TABLE IF EXISTS `proyectos`;
CREATE TABLE `proyectos` (
  `id_proyecto` int(11) NOT NULL AUTO_INCREMENT,
  `codigo` varchar(32) NOT NULL DEFAULT '' COMMENT 'Codigo del proyecto',
  `titulo` varchar(200) NOT NULL COMMENT 'Titulo del proyecto',
  `fecha_creacion` date NOT NULL DEFAULT '0000-00-00' COMMENT 'Fecha de creacion del proyecto',
  `alta_baja` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'Alta/Baja del proyecto',
  `encurso_terminado` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'Estado del proyecto (En curso/Terminado)',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_proyecto`),
  UNIQUE KEY `Index_2` (`codigo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`proyectos`
--

/*!40000 ALTER TABLE `proyectos` DISABLE KEYS */;
INSERT INTO `proyectos` (`id_proyecto`,`codigo`,`titulo`,`fecha_creacion`,`alta_baja`,`encurso_terminado`,`timestamp`) VALUES 
 (1,'EF','Fiber Spectrograph','2007-04-17',0,0,'2007-04-17 20:54:48'),
 (2,'IC','Infrared Camera','2007-05-05',0,0,'2007-05-05 11:25:50');
/*!40000 ALTER TABLE `proyectos` ENABLE KEYS */;


--
-- Table structure for table `geco`.`pt_propiedades`
--

DROP TABLE IF EXISTS `pt_propiedades`;
CREATE TABLE `pt_propiedades` (
  `caracter_sep` varchar(1) CHARACTER SET latin1 NOT NULL DEFAULT '',
  PRIMARY KEY (`caracter_sep`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`pt_propiedades`
--

/*!40000 ALTER TABLE `pt_propiedades` DISABLE KEYS */;
INSERT INTO `pt_propiedades` (`caracter_sep`) VALUES 
 ('-');
/*!40000 ALTER TABLE `pt_propiedades` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_anomalia_estado`
--

DROP TABLE IF EXISTS `r_anomalia_estado`;
CREATE TABLE `r_anomalia_estado` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id-anomalia` int(10) unsigned NOT NULL DEFAULT '0',
  `persona` int(11) NOT NULL DEFAULT '0' COMMENT 'Persona que ha realizado la accion',
  `accion` varchar(200) NOT NULL DEFAULT '' COMMENT 'Accion realizada',
  `estado` varchar(20) NOT NULL DEFAULT '' COMMENT 'Estado en el que se encuentra la acción',
  `fecha` date DEFAULT NULL COMMENT 'Fecha de realizacion de la accion',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_anomalia_estado_1` (`id-anomalia`),
  KEY `Index_3` (`persona`),
  CONSTRAINT `FK_r_anomalia_estado_1` FOREIGN KEY (`id-anomalia`) REFERENCES `anomalias` (`id_anomalias`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_anomalia_estado_2` FOREIGN KEY (`persona`) REFERENCES `usuarios` (`id_usuario`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_anomalia_estado`
--

/*!40000 ALTER TABLE `r_anomalia_estado` DISABLE KEYS */;
INSERT INTO `r_anomalia_estado` (`id`,`id-anomalia`,`persona`,`accion`,`estado`,`fecha`,`timestamp`) VALUES 
 (1,1,1,'Problem solved as suggested in Recommended actions','Close',NULL,'2006-03-26 20:19:17');
/*!40000 ALTER TABLE `r_anomalia_estado` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_anomalias_usuarios`
--

DROP TABLE IF EXISTS `r_anomalias_usuarios`;
CREATE TABLE `r_anomalias_usuarios` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_anomalia` int(10) unsigned NOT NULL DEFAULT '0',
  `id_usuario` int(11) NOT NULL DEFAULT '0',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_anomalias` (`id_anomalia`),
  KEY `FK_r_anomalias_usuarios_2` (`id_usuario`),
  CONSTRAINT `FK_anomalias` FOREIGN KEY (`id_anomalia`) REFERENCES `anomalias` (`id_anomalias`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_anomalias_usuarios_2` FOREIGN KEY (`id_usuario`) REFERENCES `usuarios` (`id_usuario`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_anomalias_usuarios`
--

/*!40000 ALTER TABLE `r_anomalias_usuarios` DISABLE KEYS */;
INSERT INTO `r_anomalias_usuarios` (`id`,`id_anomalia`,`id_usuario`,`timestamp`) VALUES 
 (1,1,2,'2007-03-29 21:57:11'),
 (2,1,1,'2007-05-26 19:03:37');
/*!40000 ALTER TABLE `r_anomalias_usuarios` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_cambios_docum`
--

DROP TABLE IF EXISTS `r_cambios_docum`;
CREATE TABLE `r_cambios_docum` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id-cambio` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id del cambio de configuracion',
  `id-doc` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id del documento',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_cambios-docum_1` (`id-cambio`),
  KEY `FK_r_cambios-docum_2` (`id-doc`),
  CONSTRAINT `FK_r_cambios-docum_1` FOREIGN KEY (`id-cambio`) REFERENCES `cambio_configuracion` (`id-cc`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_cambios-docum_2` FOREIGN KEY (`id-doc`) REFERENCES `documentos` (`id-doc`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_cambios_docum`
--

/*!40000 ALTER TABLE `r_cambios_docum` DISABLE KEYS */;
INSERT INTO `r_cambios_docum` (`id`,`id-cambio`,`id-doc`,`timestamp`) VALUES 
 (1,1,2,'2006-03-26 12:33:36');
/*!40000 ALTER TABLE `r_cambios_docum` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_cambios_elem`
--

DROP TABLE IF EXISTS `r_cambios_elem`;
CREATE TABLE `r_cambios_elem` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id-cambio` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id del cambio de configuracion',
  `id-elem` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id del elemento de configuracion',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_cambios-elem_1` (`id-cambio`),
  KEY `FK_r_cambios-elem_2` (`id-elem`),
  CONSTRAINT `FK_r_cambios-elem_1` FOREIGN KEY (`id-cambio`) REFERENCES `cambio_configuracion` (`id-cc`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_cambios-elem_2` FOREIGN KEY (`id-elem`) REFERENCES `elementos_pt` (`id-ec`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_cambios_elem`
--

/*!40000 ALTER TABLE `r_cambios_elem` DISABLE KEYS */;
INSERT INTO `r_cambios_elem` (`id`,`id-cambio`,`id-elem`,`timestamp`) VALUES 
 (1,1,1,'2006-03-26 12:33:36');
/*!40000 ALTER TABLE `r_cambios_elem` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_cambios_interfases`
--

DROP TABLE IF EXISTS `r_cambios_interfases`;
CREATE TABLE `r_cambios_interfases` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id-cambio` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id del cambio de configuracion',
  `id-interfase` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id de la interfase',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_cambios-interfases_1` (`id-cambio`),
  KEY `FK_r_cambios-interfases_2` (`id-interfase`),
  CONSTRAINT `FK_r_cambios-interfases_1` FOREIGN KEY (`id-cambio`) REFERENCES `cambio_configuracion` (`id-cc`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_cambios-interfases_2` FOREIGN KEY (`id-interfase`) REFERENCES `interfases` (`id-int`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_cambios_interfases`
--

/*!40000 ALTER TABLE `r_cambios_interfases` DISABLE KEYS */;
/*!40000 ALTER TABLE `r_cambios_interfases` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_cambios_usuarios`
--

DROP TABLE IF EXISTS `r_cambios_usuarios`;
CREATE TABLE `r_cambios_usuarios` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_cambio` int(10) unsigned NOT NULL DEFAULT '0',
  `id_usuario` int(11) NOT NULL DEFAULT '0',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_cambio` (`id_cambio`),
  KEY `FK_usuario` (`id_usuario`),
  CONSTRAINT `FK_cambios` FOREIGN KEY (`id_cambio`) REFERENCES `cambio_configuracion` (`id-cc`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_cambios_usuarios_2` FOREIGN KEY (`id_usuario`) REFERENCES `usuarios` (`id_usuario`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_cambios_usuarios`
--

/*!40000 ALTER TABLE `r_cambios_usuarios` DISABLE KEYS */;
INSERT INTO `r_cambios_usuarios` (`id`,`id_cambio`,`id_usuario`,`timestamp`) VALUES 
 (1,1,2,'2007-03-29 20:44:04'),
 (2,1,6,'2007-03-29 21:14:30');
/*!40000 ALTER TABLE `r_cambios_usuarios` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_documentos_usuarios`
--

DROP TABLE IF EXISTS `r_documentos_usuarios`;
CREATE TABLE `r_documentos_usuarios` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_doc` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Id del documento',
  `id_usuario` int(11) NOT NULL DEFAULT '0' COMMENT 'Id del usuario',
  `relacion` enum('autor','revisor','aprobador','distribucion','notificacion') NOT NULL DEFAULT 'autor' COMMENT 'Relacion con el documento (autor, revisor, aprobador, distribucion, notificacion)',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `Index_docum` (`id_doc`),
  KEY `Index_usuario` (`id_usuario`),
  CONSTRAINT `FK_r_documentos_usuarios_1` FOREIGN KEY (`id_doc`) REFERENCES `documentos` (`id-doc`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_documentos_usuarios_2` FOREIGN KEY (`id_usuario`) REFERENCES `usuarios` (`id_usuario`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_documentos_usuarios`
--

/*!40000 ALTER TABLE `r_documentos_usuarios` DISABLE KEYS */;
INSERT INTO `r_documentos_usuarios` (`id`,`id_doc`,`id_usuario`,`relacion`,`timestamp`) VALUES 
 (1,3,6,'autor','2007-02-04 20:58:16'),
 (6,10,6,'autor','2007-02-04 21:17:05'),
 (7,5,1,'autor','2007-02-21 18:42:06'),
 (13,1,7,'autor','2007-03-10 17:17:26'),
 (14,9,2,'autor','2007-03-10 17:18:28'),
 (15,9,7,'revisor','2007-03-10 17:18:29'),
 (19,1,6,'revisor','2007-03-10 18:54:15'),
 (20,1,2,'aprobador','2007-03-10 18:54:47'),
 (21,1,8,'distribucion','2007-05-26 19:04:08'),
 (23,11,7,'autor','2007-06-13 13:36:50'),
 (24,11,8,'revisor','2007-06-13 13:36:50'),
 (25,11,6,'aprobador','2007-06-13 13:36:50'),
 (26,11,6,'distribucion','2007-06-13 13:36:50'),
 (27,11,2,'distribucion','2007-06-13 13:36:50'),
 (28,11,6,'notificacion','2007-06-13 13:36:50'),
 (30,8,6,'autor','2007-08-24 15:50:34'),
 (31,12,8,'autor','2007-08-29 12:21:29'),
 (36,12,3,'notificacion','2007-08-29 12:21:29'),
 (37,4,6,'autor','2007-09-04 10:56:52'),
 (38,2,8,'autor','2007-09-04 10:57:28'),
 (53,7,8,'autor','2007-10-03 10:10:31'),
 (54,7,2,'notificacion','2007-10-03 10:10:31');
INSERT INTO `r_documentos_usuarios` (`id`,`id_doc`,`id_usuario`,`relacion`,`timestamp`) VALUES 
 (55,7,3,'notificacion','2007-10-03 10:10:31'),
 (56,7,4,'notificacion','2007-10-03 10:10:32'),
 (57,7,6,'notificacion','2007-10-03 10:10:32'),
 (75,1,3,'notificacion','2007-10-09 13:05:51');
/*!40000 ALTER TABLE `r_documentos_usuarios` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_elem_doc`
--

DROP TABLE IF EXISTS `r_elem_doc`;
CREATE TABLE `r_elem_doc` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id-elem` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id del elemento de configuracion',
  `id-doc` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id del documento',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_elem-doc_1` (`id-elem`),
  KEY `FK_r_elem-doc_2` (`id-doc`),
  CONSTRAINT `FK_r_elem-doc_1` FOREIGN KEY (`id-elem`) REFERENCES `elementos_pt` (`id-ec`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_elem-doc_2` FOREIGN KEY (`id-doc`) REFERENCES `documentos` (`id-doc`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_elem_doc`
--

/*!40000 ALTER TABLE `r_elem_doc` DISABLE KEYS */;
INSERT INTO `r_elem_doc` (`id`,`id-elem`,`id-doc`,`timestamp`) VALUES 
 (1,1,1,'2006-03-23 19:19:43'),
 (2,1,2,'2006-03-23 19:19:43'),
 (3,1,2,'2006-03-23 19:19:43'),
 (4,1,8,'2006-03-23 19:19:44'),
 (6,1,7,'2006-03-23 19:19:44'),
 (7,2,3,'2006-03-23 19:20:31'),
 (8,8,4,'2006-03-23 19:20:43'),
 (9,3,9,'2007-02-04 21:09:23'),
 (10,40,12,'2007-08-29 12:23:13'),
 (11,42,12,'2007-08-29 12:23:23'),
 (12,41,12,'2007-08-29 12:23:30'),
 (13,39,12,'2007-08-29 12:23:37'),
 (14,45,12,'2007-08-29 13:03:21');
/*!40000 ALTER TABLE `r_elem_doc` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_grupos_usuarios`
--

DROP TABLE IF EXISTS `r_grupos_usuarios`;
CREATE TABLE `r_grupos_usuarios` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_grupo` int(11) NOT NULL DEFAULT '0' COMMENT 'Id del grupo',
  `id_usuario` int(11) NOT NULL DEFAULT '0' COMMENT 'Id del usuario',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `Index_grupo` (`id_grupo`),
  KEY `Index_usuario` (`id_usuario`),
  CONSTRAINT `FK_grupo` FOREIGN KEY (`id_grupo`) REFERENCES `grupos` (`id_grupo`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_usuarios` FOREIGN KEY (`id_usuario`) REFERENCES `usuarios` (`id_usuario`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_grupos_usuarios`
--

/*!40000 ALTER TABLE `r_grupos_usuarios` DISABLE KEYS */;
INSERT INTO `r_grupos_usuarios` (`id`,`id_grupo`,`id_usuario`,`timestamp`) VALUES 
 (1,2,1,'2007-08-21 15:53:28'),
 (2,2,2,'2007-08-21 15:53:28'),
 (3,1,3,'2007-09-17 11:15:55'),
 (4,1,4,'2007-09-17 11:15:55'),
 (5,1,5,'2007-09-17 11:15:55'),
 (6,2,6,'2007-08-21 15:53:28'),
 (7,2,7,'2007-08-21 15:53:28'),
 (8,1,8,'2007-09-17 11:15:55'),
 (9,1,9,'2007-09-21 13:55:28');
/*!40000 ALTER TABLE `r_grupos_usuarios` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_interfases_doc`
--

DROP TABLE IF EXISTS `r_interfases_doc`;
CREATE TABLE `r_interfases_doc` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id-int` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id de la interfase',
  `id-doc` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id del documento',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_interfases_doc_1` (`id-int`),
  KEY `FK_r_interfases_doc_2` (`id-doc`),
  CONSTRAINT `FK_r_interfases_doc_1` FOREIGN KEY (`id-int`) REFERENCES `interfases` (`id-int`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_interfases_doc_2` FOREIGN KEY (`id-doc`) REFERENCES `documentos` (`id-doc`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_interfases_doc`
--

/*!40000 ALTER TABLE `r_interfases_doc` DISABLE KEYS */;
INSERT INTO `r_interfases_doc` (`id`,`id-int`,`id-doc`,`timestamp`) VALUES 
 (1,1,5,'2006-03-23 19:17:26');
/*!40000 ALTER TABLE `r_interfases_doc` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_nc_docum`
--

DROP TABLE IF EXISTS `r_nc_docum`;
CREATE TABLE `r_nc_docum` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id-nc` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id de la NC',
  `id-doc` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id del documento',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_nc_docum_1` (`id-nc`),
  KEY `FK_r_nc_docum_2` (`id-doc`),
  CONSTRAINT `FK_r_nc_docum_1` FOREIGN KEY (`id-nc`) REFERENCES `no_conformidades` (`id-nc`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_nc_docum_2` FOREIGN KEY (`id-doc`) REFERENCES `documentos` (`id-doc`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_nc_docum`
--

/*!40000 ALTER TABLE `r_nc_docum` DISABLE KEYS */;
INSERT INTO `r_nc_docum` (`id`,`id-nc`,`id-doc`,`timestamp`) VALUES 
 (1,1,2,'2006-03-24 18:01:25');
/*!40000 ALTER TABLE `r_nc_docum` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_nc_elemen`
--

DROP TABLE IF EXISTS `r_nc_elemen`;
CREATE TABLE `r_nc_elemen` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id-nc` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id de la NC',
  `id-elem` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id del elemento de configuracion',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_nc_elemen_1` (`id-nc`),
  KEY `FK_r_nc_elemen_2` (`id-elem`),
  CONSTRAINT `FK_r_nc_elemen_1` FOREIGN KEY (`id-nc`) REFERENCES `no_conformidades` (`id-nc`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_nc_elemen_2` FOREIGN KEY (`id-elem`) REFERENCES `elementos_pt` (`id-ec`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_nc_elemen`
--

/*!40000 ALTER TABLE `r_nc_elemen` DISABLE KEYS */;
INSERT INTO `r_nc_elemen` (`id`,`id-nc`,`id-elem`,`timestamp`) VALUES 
 (1,1,1,'2006-03-24 18:01:25');
/*!40000 ALTER TABLE `r_nc_elemen` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_nc_interfases`
--

DROP TABLE IF EXISTS `r_nc_interfases`;
CREATE TABLE `r_nc_interfases` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id-nc` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id de la NC',
  `id-interfase` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'id de la interfase',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_nc_interfases_1` (`id-nc`),
  KEY `FK_r_nc_interfases_2` (`id-interfase`),
  CONSTRAINT `FK_r_nc_interfases_1` FOREIGN KEY (`id-nc`) REFERENCES `no_conformidades` (`id-nc`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_nc_interfases_2` FOREIGN KEY (`id-interfase`) REFERENCES `interfases` (`id-int`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_nc_interfases`
--

/*!40000 ALTER TABLE `r_nc_interfases` DISABLE KEYS */;
/*!40000 ALTER TABLE `r_nc_interfases` ENABLE KEYS */;

--
-- Table structure for table `geco`.`r_nc_usuarios`
--

DROP TABLE IF EXISTS `r_nc_usuarios`;
CREATE TABLE `r_nc_usuarios` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_nc` int(10) unsigned NOT NULL DEFAULT '0',
  `id_usuario` int(11) NOT NULL DEFAULT '0',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_nc_usuarios_1` (`id_nc`),
  KEY `FK_r_nc_usuarios_2` (`id_usuario`),
  CONSTRAINT `FK_r_nc_usuarios_1` FOREIGN KEY (`id_nc`) REFERENCES `no_conformidades` (`id-nc`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_nc_usuarios_2` FOREIGN KEY (`id_usuario`) REFERENCES `usuarios` (`id_usuario`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_nc_usuarios`
--

/*!40000 ALTER TABLE `r_nc_usuarios` DISABLE KEYS */;
/*!40000 ALTER TABLE `r_nc_usuarios` ENABLE KEYS */;

--
-- Table structure for table `geco`.`r_proyectos_documentos`
--

DROP TABLE IF EXISTS `r_proyectos_documentos`;
CREATE TABLE `r_proyectos_documentos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_proyecto` int(11) NOT NULL DEFAULT '0' COMMENT 'Id del proyecto',
  `id_documento` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Id del documento',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `FK_documentos` (`id_documento`),
  KEY `FK_proyectos` (`id_proyecto`),
  CONSTRAINT `FK_documentos` FOREIGN KEY (`id_documento`) REFERENCES `documentos` (`id-doc`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_proyectos` FOREIGN KEY (`id_proyecto`) REFERENCES `proyectos` (`id_proyecto`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_proyectos_documentos`
--

/*!40000 ALTER TABLE `r_proyectos_documentos` DISABLE KEYS */;
INSERT INTO `r_proyectos_documentos` (`id`,`id_proyecto`,`id_documento`,`timestamp`) VALUES 
 (13,3,7,'2007-10-03 10:10:31'),
 (19,2,1,'2007-10-09 13:05:51');
/*!40000 ALTER TABLE `r_proyectos_documentos` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_proyectos_usuarios`
--

DROP TABLE IF EXISTS `r_proyectos_usuarios`;
CREATE TABLE `r_proyectos_usuarios` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_proyecto` int(11) NOT NULL DEFAULT '0' COMMENT 'Id del proyecto',
  `id_usuario` int(11) NOT NULL DEFAULT '0' COMMENT 'Id del usuario',
  `relacion` enum('G','AT','AO') NOT NULL DEFAULT 'G' COMMENT 'G = Gestor, AT = Autorizador total, AO = Autorizador oficial',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `Index_proyecto` (`id_proyecto`),
  KEY `Index_usuario` (`id_usuario`),
  CONSTRAINT `FK_proyecto` FOREIGN KEY (`id_proyecto`) REFERENCES `proyectos` (`id_proyecto`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_proyectos_usuarios_2` FOREIGN KEY (`id_usuario`) REFERENCES `usuarios` (`id_usuario`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_proyectos_usuarios`
--

/*!40000 ALTER TABLE `r_proyectos_usuarios` DISABLE KEYS */;
INSERT INTO `r_proyectos_usuarios` (`id`,`id_proyecto`,`id_usuario`,`relacion`,`timestamp`) VALUES 
 (112,3,2,'G','2007-10-03 10:00:18'),
 (113,3,3,'G','2007-10-03 10:00:19'),
 (114,3,4,'AT','2007-10-03 10:00:19'),
 (115,3,6,'AT','2007-10-03 10:00:19'),
 (116,3,6,'AO','2007-10-03 10:00:19'),
 (123,2,8,'G','2007-10-09 13:05:51'),
 (124,2,2,'G','2007-10-09 13:05:51'),
 (125,2,3,'G','2007-10-09 13:05:51'),
 (126,2,8,'AO','2007-10-09 13:05:51'),
 (127,1,4,'G','2007-11-05 16:25:13'),
 (128,1,8,'G','2007-11-05 16:25:13'),
 (129,1,4,'AO','2007-11-05 16:25:13');
/*!40000 ALTER TABLE `r_proyectos_usuarios` ENABLE KEYS */;


--
-- Table structure for table `geco`.`r_requer_padres`
--

DROP TABLE IF EXISTS `r_requer_padres`;
CREATE TABLE `r_requer_padres` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id-req` int(11) NOT NULL DEFAULT '0' COMMENT 'id del requerimiento',
  `id-req-padre` int(11) NOT NULL DEFAULT '0' COMMENT 'id del requerimiento padre',
  `cod-req-padre` varchar(60) NOT NULL COMMENT 'Codigo del requerimiento padre',
  `titulo-req-padre` varchar(150) NOT NULL DEFAULT '' COMMENT 'Titulo del requerimiento padre',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_r_requer_padres_1` (`id-req-padre`,`titulo-req-padre`,`cod-req-padre`),
  KEY `FK_r_requer_padres_2` (`id-req`),
  CONSTRAINT `FK_r_requer_padres_1` FOREIGN KEY (`id-req-padre`, `titulo-req-padre`, `cod-req-padre`) REFERENCES `requerimientos` (`id-req`, `titulo`, `codigo-req`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_r_requer_padres_2` FOREIGN KEY (`id-req`) REFERENCES `requerimientos` (`id-req`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`r_requer_padres`
--

/*!40000 ALTER TABLE `r_requer_padres` DISABLE KEYS */;
INSERT INTO `r_requer_padres` (`id`,`id-req`,`id-req-padre`,`cod-req-padre`,`titulo-req-padre`,`timestamp`) VALUES 
 (3,10,11,'FR/EF-SP/002','Reference Temperature','2007-06-03 07:46:02'),
 (5,39,38,'FR/IC/001','Wavelength Range','2007-08-29 16:54:52');
/*!40000 ALTER TABLE `r_requer_padres` ENABLE KEYS */;


--
-- Table structure for table `geco`.`requerimientos`
--

DROP TABLE IF EXISTS `requerimientos`;
CREATE TABLE `requerimientos` (
  `id-req` int(11) NOT NULL AUTO_INCREMENT,
  `titulo` varchar(150) NOT NULL DEFAULT '' COMMENT 'Titulo del requerimiento',
  `codigo-req` varchar(60) NOT NULL COMMENT 'Codigo del requerimiento',
  `codigo-documento` varchar(60) NOT NULL COMMENT 'Codigo del documento',
  `linea-referencia` varchar(3) DEFAULT NULL COMMENT 'Linea de referencia del requerimiento',
  `texto-req` mediumtext COMMENT 'Texto del requerimiento',
  `fuente` mediumtext COMMENT 'Fuente',
  `indicador-validez` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Indicador de validez',
  `id_tipo_requerimiento` int(10) NOT NULL COMMENT 'Tipo de req',
  `id-seccion` int(10) DEFAULT NULL COMMENT 'Seccion del documento',
  `id-subseccion` int(10) DEFAULT NULL COMMENT 'Subseccion dentro de seccion del documento',
  `orden` int(2) DEFAULT '0',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id-req`,`titulo`,`codigo-req`),
  UNIQUE KEY `cod-req` (`codigo-req`),
  KEY `id_tipo_requerimiento` (`id_tipo_requerimiento`),
  KEY `id-seccion` (`id-seccion`),
  KEY `id-subseccion` (`id-subseccion`),
  KEY `id-req` (`id-req`),
  KEY `req_codigo_doc_fk_constraint` (`codigo-documento`),
  CONSTRAINT `FK_requerimientos_2` FOREIGN KEY (`id-seccion`) REFERENCES `seccion` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `requerimientos_ibfk_1` FOREIGN KEY (`id_tipo_requerimiento`) REFERENCES `tipo_requerimiento` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `requerimientos_ibfk_2` FOREIGN KEY (`id-seccion`) REFERENCES `seccion` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `requerimientos_ibfk_3` FOREIGN KEY (`id-subseccion`) REFERENCES `subseccion` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `req_codigo_doc_fk_constraint` FOREIGN KEY (`codigo-documento`) REFERENCES `documentos` (`referencia`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`requerimientos`
--

/*!40000 ALTER TABLE `requerimientos` DISABLE KEYS */;
INSERT INTO `requerimientos` (`id-req`,`titulo`,`codigo-req`,`codigo-documento`,`linea-referencia`,`texto-req`,`fuente`,`indicador-validez`,`id_tipo_requerimiento`,`id-seccion`,`id-subseccion`,`orden`,`timestamp`) VALUES 
 (10,'Instrument Proper Frequencies','FR/EF-SP/001','RQ/EF-SP/001','PD','All the proper frequencies, including the local modes, when the instrument will be fully assembled, with all the optical elements and the cryostat, will be over 60Hz, excluding the electrical cabinets. ','Instrument specialist',1,2,4,35,4,'2007-05-22 16:01:41'),
 (11,'Reference Temperature','FR/EF-SP/002','RQ/EF-SP/001','PD','The reference temperature for all dimensions and tolerances shall be 20ºC (Celsius).','System Engineering Group',1,14,5,25,3,'2007-05-22 16:01:41'),
 (12,'Envelopes','FR/EF-SP/003','RQ/EF-SP/001','PD','The instrument envelopes, including the adapter and the electronic cabinets shall be according to drawing DR/EF-SP/001','System Engineering Group',1,16,5,29,0,'2007-05-22 16:01:41'),
 (13,'Spectral stability','FR/EF-SP/004','RQ/EF-SP/001','PD','The spectral stability of the spectrograph during a exposure in any orientation of the rotator shall be better than 17 % of the nominal resolution in the direction perpendicular to the pseudo-slit (spectral direction)  (this refers to a flexure between the pseudo-slit plane and the detector focal plane).   This refers to stability of the projected spectrum over the detector in the spectral direction. This image shall not move more than half a pixel (7.5 microns) (equivalent to 17 % of 3 pixels) in the spectral direction','Instrument specialist',1,2,5,27,3,'2007-05-22 16:01:41');
INSERT INTO `requerimientos` (`id-req`,`titulo`,`codigo-req`,`codigo-documento`,`linea-referencia`,`texto-req`,`fuente`,`indicador-validez`,`id_tipo_requerimiento`,`id-seccion`,`id-subseccion`,`orden`,`timestamp`) VALUES 
 (14,'Maximum Flexure','FR/EF-SP/005','RQ/EF-SP/001','PD','The maximum flexure on the detector during an exposure in any orientation of the rotator shall be less than 2 pixels (0.4 arcsec) in the two dimensions of the detector focal plane.','Instrument specialist',1,2,5,27,2,'2007-05-22 16:01:41'),
 (15,'Spectrograph Mass','FR/EF-SP/006','RQ/EF-SP/001','PD','The spectrograph total mass shall be less than 1500 Kg','System Engineering Group',1,16,5,29,2,'2007-05-22 16:01:41'),
 (16,'Spectrograph Gravity Center','FR/EF-SP/007','RQ/EF-SP/001','PD','The gravity center of the spectrograph shall be at the position labelled in the drawing DR/EF-SP/001','System Engineering Group',1,1,5,24,2,'2007-05-22 16:01:41'),
 (17,'Operational Temperatures','FR/EF-SP/008','RQ/EF-SP/001','PD','The operational temperature shall be in the range -6ºC and +35ºC.','System Engineering Group',1,14,5,25,0,'2007-05-28 17:24:17'),
 (22,'Thermal gradients prevention guideline','FR/EF-SP/009','RQ/EF-SP/001','PD','The design should include the means to avoid thermal gradients along the instrument.','Scientific Group',1,3,6,30,0,'2007-06-04 16:19:27');
INSERT INTO `requerimientos` (`id-req`,`titulo`,`codigo-req`,`codigo-documento`,`linea-referencia`,`texto-req`,`fuente`,`indicador-validez`,`id_tipo_requerimiento`,`id-seccion`,`id-subseccion`,`orden`,`timestamp`) VALUES 
 (23,'Heat dissipation guideline','FR/EF-SP/010','RQ/EF-SP/001','PD','The design of the instrument and the instrument subsystems should minimise the amount of heat dissipation to the telescope chamber.','System Engineering Group',1,3,6,30,0,'2007-06-04 16:38:40'),
 (26,'MTBF','FR/EF-SP/013','RQ/EF-SP/001','PD','The MTBF shall be of at least 900 hours (TBC)','',1,9,6,31,0,'2007-06-04 16:41:48'),
 (27,'MTTR','FR/EF-SP/014','RQ/EF-SP/001','PD','The MTTR shall be less than or equal to 5,5 hours (TBC)','',1,9,6,31,0,'2007-06-04 16:42:25'),
 (28,'Prevention of failures tools guideline','FR/EF-SP/015','RQ/EF-SP/001','PD','There should be tools for prediction and prevention of failures.','',1,9,6,31,0,'2007-06-04 16:43:27'),
 (29,'Maintenance Simplicity guideline','FR/EF-SP/016','RQ/EF-SP/001','PD','Maintenance tasks should be as simple as possible.','',1,9,6,31,0,'2007-06-04 16:44:28'),
 (31,'Modularity guideline','FR/EF-SP/018','RQ/EF-SP/001','PD','The instrument subsystem shall follow a modular design, which will allow easy exchange and maintenance of its modules.','',1,9,6,31,0,'2007-06-04 16:45:52');
INSERT INTO `requerimientos` (`id-req`,`titulo`,`codigo-req`,`codigo-documento`,`linea-referencia`,`texto-req`,`fuente`,`indicador-validez`,`id_tipo_requerimiento`,`id-seccion`,`id-subseccion`,`orden`,`timestamp`) VALUES 
 (32,'MPMNT','FR/EF-SP/019','RQ/EF-SP/001','PD','The instrument shall have a MPMNT of 3 hours per year.',NULL,1,2,6,33,0,'2007-06-04 17:51:12'),
 (38,'Wavelength Range','FR/IC/001','RQ/IC/001','CD','The wavelength range shall be from 1 to 2.5 microns','Instrumentation Group',1,2,11,43,0,'2007-08-29 16:53:30'),
 (39,'Operating Temperature','FR/IC-CR/001','RQ/IC/001','CD','The operating temperature of the cryostat shall be 77K','Instrumentation Group',1,4,11,44,0,'2007-08-29 16:54:52');
/*!40000 ALTER TABLE `requerimientos` ENABLE KEYS */;


--
-- Table structure for table `geco`.`roles`
--

DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles` (
  `id_roles` int(11) NOT NULL AUTO_INCREMENT,
  `usuario` varchar(15) NOT NULL DEFAULT '' COMMENT 'Cuenta del usuario',
  `rol` varchar(15) NOT NULL DEFAULT '' COMMENT 'Rol al que pertenece el usuario',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_roles`),
  KEY `Index_usuario` (`usuario`),
  KEY `Index_rol` (`rol`),
  CONSTRAINT `FK_usuario` FOREIGN KEY (`usuario`) REFERENCES `usuarios` (`usuario`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `geco`.`roles`
--

/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` (`id_roles`,`usuario`,`rol`,`timestamp`) VALUES 
 (2,'eva','docma','2007-01-22 21:33:52'),
 (3,'demo','docma','2007-01-22 21:33:52'),
 (4,'admin','docma','2007-01-22 21:33:52'),
 (5,'manager','manager','2007-03-17 20:18:48'),
 (6,'isabel','docma','2007-03-17 20:57:37'),
 (7,'fernando','docma','2007-03-17 21:30:03'),
 (8,'clara','docma','2007-09-17 13:20:34'),
 (9,'jsuarez','docma','2007-11-05 11:05:18'),
 (10,'mgvargas','docma','2007-09-21 13:55:28');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;


--
-- Table structure for table `geco`.`seccion`
--

DROP TABLE IF EXISTS `seccion`;
CREATE TABLE `seccion` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(250) NOT NULL DEFAULT '',
  `orden` int(2) DEFAULT '0',
  `id-documento` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `nombre` (`nombre`),
  KEY `id-documento` (`id-documento`),
  CONSTRAINT `seccion_ibfk_1` FOREIGN KEY (`id-documento`) REFERENCES `documentos` (`id-doc`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`seccion`
--

/*!40000 ALTER TABLE `seccion` DISABLE KEYS */;
INSERT INTO `seccion` (`id`,`nombre`,`orden`,`id-documento`) VALUES 
 (4,'Fiber Positioner Robot',3,4),
 (5,'Environmental Requirements',4,4),
 (6,'RMS Requirements',5,4),
 (11,'General Requirements',0,12);
/*!40000 ALTER TABLE `seccion` ENABLE KEYS */;


--
-- Table structure for table `geco`.`severidad_anomalia`
--

DROP TABLE IF EXISTS `severidad_anomalia`;
CREATE TABLE `severidad_anomalia` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`severidad_anomalia`
--

/*!40000 ALTER TABLE `severidad_anomalia` DISABLE KEYS */;
INSERT INTO `severidad_anomalia` (`id`,`texto_es`,`texto_en`) VALUES 
 (1,'Alta','High'),
 (2,'Media','Medium'),
 (3,'Baja','Low');
/*!40000 ALTER TABLE `severidad_anomalia` ENABLE KEYS */;


--
-- Table structure for table `geco`.`subseccion`
--

DROP TABLE IF EXISTS `subseccion`;
CREATE TABLE `subseccion` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `id_tipo_requerimiento` int(10) DEFAULT NULL,
  `orden` int(2) DEFAULT NULL,
  `id-seccion` int(10) DEFAULT NULL,
  UNIQUE KEY `id` (`id`),
  KEY `id-seccion` (`id-seccion`),
  KEY `id_tipo_requerimiento` (`id_tipo_requerimiento`),
  CONSTRAINT `subseccion_ibfk_1` FOREIGN KEY (`id_tipo_requerimiento`) REFERENCES `tipo_requerimiento` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `subseccion_ibfk_2` FOREIGN KEY (`id-seccion`) REFERENCES `seccion` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`subseccion`
--

/*!40000 ALTER TABLE `subseccion` DISABLE KEYS */;
INSERT INTO `subseccion` (`id`,`id_tipo_requerimiento`,`orden`,`id-seccion`) VALUES 
 (24,1,1,5),
 (25,14,2,5),
 (27,2,4,5),
 (29,16,6,5),
 (30,3,0,6),
 (31,9,1,6),
 (33,2,3,6),
 (35,2,1,4),
 (43,2,0,11),
 (44,4,1,11);
/*!40000 ALTER TABLE `subseccion` ENABLE KEYS */;


--
-- Table structure for table `geco`.`tipo_documento`
--

DROP TABLE IF EXISTS `tipo_documento`;
CREATE TABLE `tipo_documento` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tipo` varchar(45) NOT NULL DEFAULT '',
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `Index_2` (`tipo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`tipo_documento`
--

/*!40000 ALTER TABLE `tipo_documento` DISABLE KEYS */;
INSERT INTO `tipo_documento` (`id`,`tipo`,`texto_es`,`texto_en`) VALUES 
 (1,'ANA','ANA (Analysis)','ANA (Analysis)'),
 (2,'DR','DR (Drawing)','DR (Drawing)'),
 (3,'INT','INT (Interface)','INT (Interface)'),
 (4,'MOM','MOM (Minutes of Meeting)','MOM (Minutes of Meeting)'),
 (5,'PRO','PRO (Procedure)','PRO (Procedure)'),
 (6,'RPT','RPT (Report)','RPT (Report)'),
 (7,'RQ','RQ (Requirement document)','RQ (Requeriment document)'),
 (8,'SP','SP (Specification Document)','SP (Specification Document)'),
 (9,'TEN','TEN (Technical Note)','TEN (Technical Note)');
/*!40000 ALTER TABLE `tipo_documento` ENABLE KEYS */;

--
-- Table structure for table `geco`.`tipo_doc_conf`
--

DROP TABLE IF EXISTS `tipo_doc_conf`;
CREATE TABLE `tipo_doc_conf` (
  `id` INTEGER  NOT NULL AUTO_INCREMENT,
  `codigo_interno` VARCHAR(5)  NOT NULL COMMENT 'Codigo interno del tipo de documento de configuración para GECO. ',
  `codigo` VARCHAR(5)  NOT NULL COMMENT 'Codigo del tipo de documento de configuración en la suite.',
  PRIMARY KEY (`id`)
)
ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_general_ci;

--
-- Dumping data for table `geco`.`tipo_doc_conf`
--

/*!40000 ALTER TABLE `tipo_doc_conf` DISABLE KEYS */;
INSERT INTO `tipo_doc_conf` (`id`,`codigo_interno`,`codigo`) VALUES 
 (1,'RQ','RQ'),
 (2,'SP','SP'),
 (3,'INT','INT'),
 (4,'PRO','PRO'),
 (5,'RPT','RPT');
/*!40000 ALTER TABLE `tipo_doc_conf` ENABLE KEYS */;

--
-- Table structure for table `geco`.`tipo_req`
--

DROP TABLE IF EXISTS `tipo_req`;
CREATE TABLE `tipo_req` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tipo` varchar(45) NOT NULL DEFAULT '',
  `texto_es` varchar(45) NOT NULL DEFAULT '',
  `texto_en` varchar(45) NOT NULL DEFAULT '',
  `caracter` varchar(1) NOT NULL DEFAULT '' COMMENT 'caracter de separación',
  `orden_tipo` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Orden en el que se pondra el tipo de requerimiento',
  `orden_elempt` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Orden en el que se pondrá el elemento del PT',
  `orden_num` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Orden en que se pondrá el numero del requerimiento',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`tipo_req`
--

/*!40000 ALTER TABLE `tipo_req` DISABLE KEYS */;
INSERT INTO `tipo_req` (`id`,`tipo`,`texto_es`,`texto_en`,`caracter`,`orden_tipo`,`orden_elempt`,`orden_num`) VALUES 
 (1,'RF','RF (Requerimiento Funcional)','FR (Functional Requirement)','/',1,2,3),
 (2,'RT','RT (Requerimiento Técnico)','TR (Technical Requirement)','/',1,2,3);
/*!40000 ALTER TABLE `tipo_req` ENABLE KEYS */;


--
-- Table structure for table `geco`.`tipo_requerimiento`
--

DROP TABLE IF EXISTS `tipo_requerimiento`;
CREATE TABLE `tipo_requerimiento` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(64) DEFAULT NULL,
  UNIQUE KEY `id` (`id`),
  KEY `nombre` (`nombre`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`tipo_requerimiento`
--

/*!40000 ALTER TABLE `tipo_requerimiento` DISABLE KEYS */;
INSERT INTO `tipo_requerimiento` (`id`,`nombre`) VALUES 
 (0,''),
 (10,'Configuration Requirements'),
 (12,'Design Requirements'),
 (15,'Electrical Interface Requirements'),
 (4,'Environmental Requirements'),
 (13,'Functional Interface Requirements'),
 (1,'Functional Requirements'),
 (8,'Handling Requirements'),
 (5,'Operation Requirements'),
 (2,'Performance Requirements'),
 (6,'Personnel Requirements'),
 (16,'Physical Interface Requirements'),
 (3,'Physical Requirements'),
 (7,'Production Requirements'),
 (9,'RAMS Requirements'),
 (17,'Software Interface Requirements'),
 (11,'Standarization Requirements'),
 (14,'Thermal Interface Requirements');
/*!40000 ALTER TABLE `tipo_requerimiento` ENABLE KEYS */;


--
-- Table structure for table `geco`.`usuarios`
--

DROP TABLE IF EXISTS `usuarios`;
CREATE TABLE `usuarios` (
  `id_usuario` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(45) NOT NULL DEFAULT '' COMMENT 'Nombre del usuario',
  `apellido1` varchar(45) DEFAULT '' COMMENT 'Primer apellido del usuario',
  `apellido2` varchar(45) DEFAULT '' COMMENT 'Segundo apellido del usuario',
  `localizacion` varchar(150) DEFAULT NULL COMMENT 'Oficina donde trabaja el usuario (si es trabajador de la empresa)',
  `telefono` varchar(45) DEFAULT '' COMMENT 'Telefono fijo del usuario',
  `telefono_movil` varchar(45) DEFAULT '' COMMENT 'Telefono movil del usuario',
  `usuario` varchar(15) NOT NULL DEFAULT '' COMMENT 'cuenta del usuario',
  `clave` varchar(32) NOT NULL COMMENT 'contraseña de la cuenta de usuario',
  `e-mail` varchar(45) NOT NULL DEFAULT '' COMMENT 'e-mail del usuario',
  `organizacion` varchar(150) DEFAULT NULL COMMENT 'Organizacion a la que pertenece el usuario',
  `alta_baja` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'Alta/baja del sistema',
  `inf_mensual` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'Envio o no de un informe de los documentos dados de alta ese mes (Si=1,No=0)',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_usuario`),
  UNIQUE KEY `Index_usuario` (`usuario`),
  KEY `Index_nombre` (`nombre`),
  KEY `Index_apellido1` (`apellido1`),
  KEY `Index_apellido2` (`apellido2`),
  KEY `Index_organizacion` (`organizacion`),
  KEY `Index_alta_baja` (`alta_baja`)
) ENGINE=InnoDB 
DEFAULT CHARSET=utf8;

--
-- Dumping data for table `geco`.`usuarios`
--

/*!40000 ALTER TABLE `usuarios` DISABLE KEYS */;
INSERT INTO `usuarios` (`id_usuario`,`nombre`,`apellido1`,`apellido2`,`localizacion`,`telefono`,`telefono_movil`,`usuario`,`clave`,`e-mail`,`organizacion`,`alta_baja`,`inf_mensual`,`timestamp`) VALUES 
 (1,'Jose','Suarez','Ibañez','Madrid',NULL,NULL,'jsuarez','6930c6f994ed8e65d49cb1e6f8649bdd','jose.suarez@fractal-es.com','Fractal S.L.N.E',1,0,'2007-01-22 20:23:19'),
 (2,'Eva','Del Castillo','Rodriguez ','Madrid',NULL,NULL,'eva','14bd76e02198410c078ab65227ea0794','eva.delcastillo@gmail.com','Fractal S.L.N.E',1,0,'2007-01-22 21:08:55'),
 (3,'Demo','Demo','','','','','demo','fe01ce2a7fbac8fafaed7c982a04e229','demo@fractal-es.com','Fractal S.L.N.E',1,0,'2007-01-22 21:10:30'),
 (4,'Administrador','admin',' ',NULL,NULL,NULL,'admin','21232f297a57a5a743894a0e4a801fc3','admi@fractal-es.com','Fractal S.L.N.E',1,0,'2007-01-22 21:11:02'),
 (5,'Manager','','','','','','manager','4d186321c1a7f0f354b297e8914ab240','manager@fractal-es.com','Fractal S.L.N.E',1,0,'2007-03-17 20:17:15'),
 (6,'Isabel','Hernandez','Rodriguez','Madrid',NULL,NULL,'isabel','4b2fb63731e470a4911460210170abaa','isabel.hernandez@fractal-es.com','Fractal S.L.N.E',1,0,'2007-03-17 20:48:17'),
 (7,'Fernando','Rodriguez','Rodriguez','Madrid','dadsf',NULL,'fernando','cebdd715d4ecaafee8f147c2e85e0754','Fernando.Rodriguez@fractal-es.com','Fractal S.L.N.E',1,0,'2007-03-17 21:30:03');
INSERT INTO `usuarios` (`id_usuario`,`nombre`,`apellido1`,`apellido2`,`localizacion`,`telefono`,`telefono_movil`,`usuario`,`clave`,`e-mail`,`organizacion`,`alta_baja`,`inf_mensual`,`timestamp`) VALUES 
 (8,'Clara','Blanco','García','Madrid',NULL,NULL,'clara','23d1e10df85ef805b442a922b240ce25','clara.blanco@fractal-es.com','Fractal S.L.N.E',1,0,'2007-03-17 21:31:53'),
 (9,'Marisa','García','Vargas','Madrid','916402591','630737981','mgvargas','59606609c6f2b0f4ac81167fe123c3f1','marisa.garcia@fractal-es.com','Fractal S.L.N.E',1,0,'2007-09-21 13:55:28');
/*!40000 ALTER TABLE `usuarios` ENABLE KEYS */;



/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
